> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fires form survey event

> fires form survey event



## OpenAPI

````yaml /api-reference/forms/openapi.json post /forms/form-survey-event
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms/form-survey-event:
    post:
      tags:
        - Forms
      summary: Fires form survey event
      description: fires form survey event
      operationId: form-survey-event
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FormSurveyEventDto'
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer: []
components:
  schemas:
    FormSurveyEventDto:
      type: object
      properties:
        submissionId:
          type: string
        eventType:
          type: string
        fingerprint:
          type: string
        mediumId:
          type: string
        medium:
          type: string
        name:
          type: string
        slideName:
          type: string
        isResultPageSet:
          type: number
        locationId:
          type: string
        timeSpent:
          type: number
        endTimestamp:
          type: number
        firstContentfulPaint:
          type: number
        startTimestamp:
          type: number
        timeToInteractive:
          type: number
        totalBlockingTime:
          type: number
        fieldId:
          type: string
        firstFocusAt:
          type: number
        focusedFieldId:
          type: string
        focusedFieldType:
          type: string
        formLoadDuration:
          type: number
        focusedLoadDuration:
          type: number
        networkType:
          type: string
        pageSizeKB:
          type: number
        cacheStatus:
          type: string
        cdnStatus:
          type: string
      required:
        - submissionId
        - eventType
        - fingerprint
        - mediumId
        - medium
        - name
        - slideName
        - isResultPageSet
        - locationId
        - timeSpent
        - endTimestamp
        - firstContentfulPaint
        - startTimestamp
        - timeToInteractive
        - totalBlockingTime
        - fieldId
        - firstFocusAt
        - focusedFieldId
        - focusedFieldType
        - formLoadDuration
        - focusedLoadDuration
        - networkType
        - pageSizeKB
        - cacheStatus
        - cdnStatus
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````